Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.event
Class DateSelectionEvent

    java.lang.Object
      java.util.EventObject
          org.jdesktop.swingx.event.DateSelectionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DateSelectionEvent

extends java.util.EventObject

Author:
  Joshua Outwater
See Also:
  Serialized Form

Nested Class Summary
`static class` | `DateSelectionEvent.EventType`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DateSelectionEvent(java.lang.Object source, DateSelectionEvent.EventType eventType, boolean adjusting)` Constructs a prototypical Event.

Method Summary
`DateSelectionEvent.EventType` | `getEventType()` Returns the type of this event.
`java.util.SortedSet<java.util.Date>` | `getSelection()` Returns the selection of the source dateSelectionModel.
`boolean` | `isAdjusting()` Returns a boolean indicating whether the event source is in adjusting state.
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateSelectionEvent

    public DateSelectionEvent(java.lang.Object source,
                              DateSelectionEvent.EventType eventType,
                              boolean adjusting)

  Constructs a prototypical Event.

  Parameters:
    `source` - The object on which the Event initially occurred.
    `eventType` - the type of the event
    `adjusting` - the adjusting property of the source
  Throws:
    `java.lang.IllegalArgumentException` - if source is null.

Method Detail

### getSelection

    public java.util.SortedSet<java.util.Date> getSelection()

  Returns the selection of the source dateSelectionModel.

  PENDING JW: that's the "live" selection, that is the source is re-queried on every call to this method. Bug or feature?

  Returns:
    the selection of the source.

### getEventType

    public final DateSelectionEvent.EventType getEventType()

  Returns the type of this event.

  Returns:
    the type of event.

### isAdjusting

    public boolean isAdjusting()

  Returns a boolean indicating whether the event source is in adjusting state.

  Returns:
    true if the event is fired while the model is in adjusting state.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.